Lingxing
切换旧版

查询FBC平台仓信息

POST/basicOpen/openapi/fbc/stockSearch

支持分页查询FBC平台仓库存信息,对应系统FBC库存数据。

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/openapi/fbc/stockSearchHTTPSPOST1

请求参数

currentinteger
当前页
customobject
自定义搜索条件
隐藏子属性
typeinteger
搜索类型:1-MSKU,2-GTIN码,3-商品ID,4-品名,5-sku,6-skc,7-spu
likeContentstring
模糊查询内容
likeContentsarray<any>
模糊查询内容列表
inContentListarray<any>
数组精确查询
codestring
fbs暂时没有用到
hideZeroStorageinteger
是否隐藏0库存,0-不隐藏,1-隐藏
lengthinteger必填
每页条数,默认20,上限200
offsetinteger必填
偏移量,默认0
orderColumnTypestring
排序字段类型,默认gmtCreate-创建时间
orderWayinteger
排序方式,0-倒序,1-正序
qtyRangearray<object>
数量范围查询列表
隐藏子属性
typestring
字段类型,支持:onHandQty, allocatedQty, unreconciledQty, inStockQty, fulfillableQty, unfulfillableQty, expiredQty, heldQty, unpickableQty, onTransferQty
maxstring
最大值
minstring
最小值
qtySearchTypeinteger
数量查询类型:0-搜索子行,1-搜索父行
storeIdsarray<any>
店铺ID列表
totalinteger
总数
warehouseIdsarray<any>
仓库ID列表

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/openapi/fbc/stockSearch?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "current": 1,
    "length": 20,
    "offset": 0,
    "storeIds": [123456],
    "warehouseIds": ["1001"],
    "orderColumnType": "gmtCreate",
    "orderWay": 0,
    "hideZeroStorage": 0,
    "qtySearchType": 0
}'

返回结果

Json Object

codeinteger必填
状态码,0:成功
示例 0
messagestring必填
消息提示
示例 success
error_detailsarray<any>必填
数据校验失败时的错误详情
request_idstring必填
请求链路id
示例 a0d54debf93140f3b58d1ed81e8e3583
response_timestring必填
响应时间
示例 2026-08-21 12:00:00
dataobject必填
响应数据
隐藏子属性
pageobject必填
分页信息
隐藏子属性
countIdstring必填
countId
currentinteger必填
当前页
示例 1
hitCountboolean必填
hitCount
示例 false
maxLimitinteger必填
maxLimit
optimizeCountSqlboolean必填
optimizeCountSql
示例 false
ordersarray<object>必填
排序列表
隐藏子属性
ascboolean必填
是否升序
示例 false
columnstring必填
排序字段
示例 gmtCreate
pagesinteger必填
总页数
示例 5
recordsarray<object>必填
数据列表
隐藏子属性
allocatedQuantitystring必填
调仓中库存
示例 0
availableQuantitystring必填
FBC可售库存
示例 100
blockedQuantitystring必填
已冻结库存
示例 0
companyIdinteger必填
企业ID
示例 12345
gmtCreatestring必填
数据创建时间
示例 2026-08-21 10:00:00
gmtModifiedstring必填
数据更新时间
示例 2026-08-21 12:00:00
itemIdstring必填
平台商品ID
示例 B0CXXXXXX
litigationQuantitystring必填
争议库存
示例 0
locationIdstring必填
地址Id
mskustring必填
msku
示例 MSKU001
picUrlstring必填
商品图片
示例 https://example.com/pic.jpg
pidinteger必填
pid
示例 123456
platformProductStatusstring必填
商品状态:0-否,1-是
示例 1
productNamestring必填
品名
示例 产品名称
productUniqueIdstring必填
商品唯一ID
示例 1234567890
purchasePricestring必填
采购成本
示例 10.50
quantitystring必填
总库存
示例 100
quantityCoststring必填
quantityCost
removalQuantitystring必填
移除库存
示例 0
returnQuantitystring必填
退货库存
示例 0
skustring必填
sku
示例 SKU001
storeIdinteger必填
店铺ID
示例 123456
titlestring必填
标题
示例 产品标题
warehouseIdstring必填
仓库唯一ID
示例 1001
warehouseNamestring必填
仓库名称
示例 深圳仓
warehouseUniqueIdstring必填
仓库唯一ID
示例 WH001
searchCountboolean必填
searchCount
示例 true
sizeinteger必填
每页条数
示例 20
totalinteger必填
总数
示例 100
stockTotalobject必填
总计信息
隐藏子属性
allocatedQuantitystring必填
调仓中库存
示例 0
availableQuantitystring必填
FBC可售库存
示例 500
blockedQuantitystring必填
已冻结库存
示例 0
litigationQuantitystring必填
争议库存
示例 0
quantitystring必填
总库存
示例 500
removalQuantitystring必填
移除库存
示例 0
returnQuantitystring必填
退货库存
示例 0
syncTimestring必填
最新同步时间
示例 2026-08-21 12:00:00

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "a0d54debf93140f3b58d1ed81e8e3583",
    "response_time": "2026-08-21 12:00:00",
    "data": {
        "page": {
            "countId": "",
            "current": 1,
            "hitCount": false,
            "maxLimit": null,
            "optimizeCountSql": false,
            "orders": [],
            "pages": 5,
            "records": [
                {
                    "allocatedQuantity": "0",
                    "availableQuantity": "100",
                    "blockedQuantity": "0",
                    "companyId": 12345,
                    "gmtCreate": "2026-08-21 10:00:00",
                    "gmtModified": "2026-08-21 12:00:00",
                    "itemId": "B0CXXXXXX",
                    "litigationQuantity": "0",
                    "locationId": "",
                    "msku": "MSKU001",
                    "picUrl": "https://example.com/pic.jpg",
                    "pid": 123456,
                    "platformProductStatus": "1",
                    "productName": "产品名称",
                    "productUniqueId": "1234567890",
                    "purchasePrice": "10.50",
                    "quantity": "100",
                    "quantityCost": "",
                    "removalQuantity": "0",
                    "returnQuantity": "0",
                    "sku": "SKU001",
                    "storeId": 123456,
                    "title": "产品标题",
                    "warehouseId": "1001",
                    "warehouseName": "深圳仓",
                    "warehouseUniqueId": "WH001"
                }
            ],
            "searchCount": true,
            "size": 20,
            "total": 100
        },
        "stockTotal": {
            "allocatedQuantity": "0",
            "availableQuantity": "500",
            "blockedQuantity": "0",
            "litigationQuantity": "0",
            "quantity": "500",
            "removalQuantity": "0",
            "returnQuantity": "0"
        },
        "syncTime": "2026-08-21 12:00:00"
    }
}